GET
/api/v1/facility/{registry_id}X-API-Key or JWTLookup by EPA Registry ID
Returns the canonical facility record, latest compliance score, score component breakdown, and active enforcement flag. Free tier receives the response with score_components redacted to a single overall_score integer.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| registry_idrequired | path | string | EPA Registry ID, e.g. 110043804185. |
Request
curl https://api.sigindex.com/api/v1/facility/110043804185 \
-H "X-API-Key: $SIGINDEX_KEY"Example response
{
"data": {
"registry_id": "110043804185",
"fac_name": "EXXONMOBIL BATON ROUGE REFINERY",
"fac_street": "4045 Scenic Hwy",
"fac_city": "Baton Rouge",
"fac_state": "LA",
"fac_zip": "70805",
"location": {
"lat": 30.5234,
"lng": -91.1872
},
"fac_naics": "324110",
"overall_score": 38,
"active_enforcement": true,
"score_components": {
"baseline": 15,
"violation_frequency": {
"score": 4,
"max_points": 15
},
"penalty_severity": {
"score": 6,
"max_points": 30
},
"recency": {
"score": 9,
"max_points": 25
},
"repeat_offender": {
"score": 4,
"max_points": 15
},
"overall": 38
}
},
"meta": {
"request_id": "req_8aZpmK4qX0nT",
"timestamp": "2026-05-20T14:22:08Z",
"response_time_ms": 12
}
}Try it · uses 1 API call
GET /api/v1/facility/110043804185